Subject: Re: bug#30990: Should the byte compiler warn about :type mismatches?

From: Stefan Kangas <[email-masked]>
Date: Sat, 28 Sep 2019 21:00:22 +0200

Glenn Morris <[email-masked]> writes:

> Alex Branham wrote:
>
>> Would it be possible/desirable to make the byte-compiler warn about
>> :type mismatches with defcustoms?
>
> I think that to do this in general requires evaluating the defcustom at
> compile time, which probably isn't the right thing.
>
> emacs -batch -l admin/cus-test.el -f cus-test-opts all
>
> will find these mismatches. I think it should be converted to an
> (expensive) ert test, which would solve the problem for Emacs itself.

I think that's a good idea.

Running the above command in my tree, I get:

The following options might have problems:
sql-password-wallet
tramp-default-host-alist
display-fill-column-indicator-character
bibtex-string-file-path
js-jsx-indent-level
bibtex-file-path
sql-use-indent-support
sql-postgres-login-params
winner-boring-buffers-regexp
add-log-dont-create-changelog-file
nnir-notmuch-filter-group-names-function
flymake-cc-command

Since we're getting closer to the release of Emacs 27.1, perhaps we
should sort these out.

Best regards,
Stefan Kangas